Package org.jmock.core.matcher

# Class StatelessInvocationMatcher

java.lang.Object
org.jmock.core.matcher.StatelessInvocationMatcher

All Implemented Interfaces:
  `InvocationMatcher`, `SelfDescribing`, `Verifiable`

Direct Known Subclasses:
  `AnyArgumentsMatcher`, `ArgumentsMatcher`, `InvokedAfterMatcher`, `MethodNameMatcher`, `NoArgumentsMatcher`

public abstract class StatelessInvocationMatcher extends Object implements InvocationMatcher

## Constructor Summary

Constructors
Constructor
Description
`StatelessInvocationMatcher()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasDescription()`
`void`
`invoked(Invocation invocation)`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jmock.core.InvocationMatcher

`matches`

### Methods inherited from interface org.jmock.core.SelfDescribing

`describeTo`

## Constructor Details

### StatelessInvocationMatcher

public StatelessInvocationMatcher()

## Method Details

### invoked

public void invoked(Invocation invocation)

Specified by:
  `invoked` in interface `InvocationMatcher`

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.

Specified by:
  `verify` in interface `Verifiable`

### hasDescription

public boolean hasDescription()

Specified by:
  `hasDescription` in interface `InvocationMatcher`